> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get exchange rates for a given base currency



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml get /rates
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /rates:
    get:
      summary: Get exchange rates for a given base currency
      parameters:
        - in: query
          name: baseCurrency
          required: true
          description: The base currency for which exchange rates are requested.
          schema:
            type: string
            example: HKD
        - in: query
          name: currencies
          required: false
          description: >-
            A list of currencies for which exchange rates are requested. If not
            specified, returns all available rates.
          schema:
            type: array
            items:
              type: string
              example: CAD
      responses:
        '200':
          description: Exchange rates successfully retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  baseCurrency:
                    type: string
                    example: HKD
                    description: The base currency for which exchange rates were requested.
                  rates:
                    type: object
                    additionalProperties:
                      type: number
                      example: 0.16
                      description: >-
                        The exchange rate between the base currency and the
                        requested currency.
                example:
                  baseCurrency: HKD
                  rates:
                    CAD: 0.16
                    GBP: 0.091
                    SGD: 0.14
                    EUR: 0.11
                    USD: 0.13
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````